# Terminalizer configuration file.
# @see https://www.terminalizer.com/

config:

  # Specify a command to be executed
  # like `/bin/bash -l`, `ls`, or any other commands
  # the default is bash for Linux
  # or powershell.exe for Windows
  command: bash -l

  # Specify the current working directory path
  # the default is the current working directory path
  cwd: .

  # Export additional ENV variables
  env:
    recording: true

  # Explicitly set the number of columns
  # or use `auto` to take the current
  # number of columns of your shell
  cols: 80

  # Explicitly set the number of rows
  # or use `auto` to take the current
  # number of rows of your shell
  rows: 20

  # Amount of times to repeat GIF
  # If value is -1, play once
  # If value is 0, loop indefinitely
  # If value is a positive number, loop n times
  repeat: -1

  # Quality
  # 1 - 100
  quality: 10

  # Delay between frames in ms
  # If the value is `auto` use the actual recording delays
  frameDelay: auto

  # Maximum delay between frames in ms
  # Ignored if the `frameDelay` isn't set to `auto`
  # Set to `auto` to prevent limiting the max idle time
  maxIdleTime: 2000

  # The surrounding frame box
  # The `type` can be null, window, floating, or solid`
  # To hide the title use the value null
  # Don't forget to add a backgroundColor style with a null as type
  frameBox:
    type: floating
    title: Scaffold init
    style:
      border: 0px black solid
      # boxShadow: none
      # margin: 0px

  # Add a watermark image to the rendered gif
  # You need to specify an absolute path for
  # the image on your machine or a URL, and you can also
  # add your own CSS styles
  watermark: false
  # imagePath: https://user-images.githubusercontent.com/378794/243635893-fd23dc13-71a2-446a-9fd0-1023372df0b6.png
  # style:
  #   position: absolute
  #   right: 10px
  #   top: 10px
  #   width: 16px
  #   opacity: 0.5

  # Cursor style can be one of
  # `block`, `underline`, or `bar`
  cursorStyle: bar

  # Font family
  # You can use any font that is installed on your machine
  # in CSS-like syntax
  fontFamily: "Monaco, Lucida Console, Ubuntu Mono, Monospace"

  # The size of the font
  fontSize: 12

  # The height of lines
  lineHeight: 1

  # The spacing between letters
  letterSpacing: 0

  # Theme
  theme:
    background: "transparent"
    foreground: "#afafaf"
    cursor: "#c7c7c7"
    black: "#232628"
    red: "#fc4384"
    green: "#b3e33b"
    yellow: "#ffa727"
    blue: "#75dff2"
    magenta: "#ae89fe"
    cyan: "#708387"
    white: "#d5d5d0"
    brightBlack: "#626566"
    brightRed: "#ff7fac"
    brightGreen: "#c8ed71"
    brightYellow: "#ebdf86"
    brightBlue: "#75dff2"
    brightMagenta: "#ae89fe"
    brightCyan: "#b1c6ca"
    brightWhite: "#f9f9f4"

# Records, feel free to edit them
records:
  - delay: 100
    content: .
#;< META
  - delay: 100
    content: /
  - delay: 100
    content: i
  - delay: 100
    content: 'n'
  - delay: 100
    content: i
  - delay: 100
    content: t
  - delay: 100
    content: .
  - delay: 100
    content: s
  - delay: 100
    content: h
  - delay: 100
    content: "\r\n\e[?2004l\r"
  - delay: 100
    content: "Please follow the prompts to adjust your project configuration\r\n\r\n"
  - delay: 100
    content: 'Namespace (PascalCase): '
  - delay: 100
    content: M
  - delay: 100
    content: 'y'
  - delay: 100
    content: 'N'
  - delay: 100
    content: a
  - delay: 100
    content: m
  - delay: 100
    content: e
  - delay: 100
    content: s
  - delay: 100
    content: p
  - delay: 100
    content: a
  - delay: 100
    content: c
  - delay: 100
    content: e
  - delay: 100
    content: "\r\n"
  - delay: 100
    content: 'Project: '
  - delay: 100
    content: m
  - delay: 100
    content: 'y'
  - delay: 100
    content: p
  - delay: 100
    content: r
  - delay: 100
    content: o
  - delay: 100
    content: j
  - delay: 100
    content: e
  - delay: 100
    content: c
  - delay: 100
    content: t
  - delay: 100
    content: "\r\n"
  - delay: 100
    content: 'Author: '
  - delay: 100
    content: A
  - delay: 100
    content: l
  - delay: 100
    content: e
  - delay: 100
    content: x
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use PHP [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: '  Use CLI command app [Y/n]: '
  - delay: 250
    content: "\r\n"
  - delay: 250
    content: '    CLI command name [myproject]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: '    Build PHAR [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use NodeJS [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use GitHub release drafter [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use GitHub PR author auto-assign [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use GitHub funding [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use GitHub PR template [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use Renovate [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Use docs [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 250
    content: 'Remove this script [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 1000
    content: "\r\n            Summary\r\n---------------------------------\r\nNamespace                        : MyNamespace\r\nProject                          : myproject\r\nAuthor                           : Alex\r\nUse PHP                          : y\r\n  Use CLI command app            : y\r\n    CLI command name             : myproject\r\n    Build PHAR                   : y\r\n  Use simple script              : n\r\nUse NodeJS                       : y\r\nUse GitHub release drafter       : y\r\nUse GitHub PR author auto-assign : y\r\nUse GitHub funding               : y\r\nUse GitHub PR template           : y\r\nUse Renovate                     : y\r\nUse Docs                         : y\r\nRemove this script               : y\r\n---------------------------------\r\n\r\n"
  - delay: 100
    content: 'Proceed with project init [Y/n]: '
  - delay: 100
    content: "\r\n"
  - delay: 1000
    content: "\r\nInitialization complete."
#;> META
